package javax.swing.tree;

import javax.swing.event.TreeSelectionListener;
import java.beans.PropertyChangeListener;

public interface TreeSelectionModel
{
    public static final int SINGLE_TREE_SELECTION = 1;
    public static final int CONTIGUOUS_TREE_SELECTION = 2;
    public static final int DISCONTIGUOUS_TREE_SELECTION = 4;
    
    public abstract void setSelectionMode(int p0);
    
    public abstract int getSelectionMode();
    
    public abstract void setSelectionPath(TreePath p0);
    
    public abstract void setSelectionPaths(TreePath[] p0);
    
    public abstract void addSelectionPath(TreePath p0);
    
    public abstract void addSelectionPaths(TreePath[] p0);
    
    public abstract void removeSelectionPath(TreePath p0);
    
    public abstract void removeSelectionPaths(TreePath[] p0);
    
    public abstract TreePath getSelectionPath();
    
    public abstract TreePath[] getSelectionPaths();
    
    public abstract int getSelectionCount();
    
    public abstract boolean isPathSelected(TreePath p0);
    
    public abstract boolean isSelectionEmpty();
    
    public abstract void clearSelection();
    
    public abstract void setRowMapper(RowMapper p0);
    
    public abstract RowMapper getRowMapper();
    
    public abstract int[] getSelectionRows();
    
    public abstract int getMinSelectionRow();
    
    public abstract int getMaxSelectionRow();
    
    public abstract boolean isRowSelected(int p0);
    
    public abstract void resetRowSelection();
    
    public abstract int getLeadSelectionRow();
    
    public abstract TreePath getLeadSelectionPath();
    
    public abstract void addPropertyChangeListener(PropertyChangeListener p0);
    
    public abstract void removePropertyChangeListener(PropertyChangeListener p0);
    
    public abstract void addTreeSelectionListener(TreeSelectionListener p0);
    
    public abstract void removeTreeSelectionListener(TreeSelectionListener p0);
}
